%define _iconsdir /usr/share/icons
%define _miconsdir /usr/share/icons/mini
%define _liconsdir /usr/share/pixmaps
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
%define _menudir /usr/lib/menu

%define major_nspr 4

Name:      mozilla
Summary:   Mozilla, open-source web browser
Version:   0.9
Release:   1
Copyright: MPL
Source0:   ftp://ftp.mozilla.org/pub/mozilla/releases/mozilla%{version}/src/mozilla-source-%{version}.tar.bz2
Source1:   mozilla.sh.bz2
Source2:   mozilla_16.xpm.bz2
Source3:   mozilla_32.xpm.bz2
Source4:   mozilla_48.xpm.bz2
Source5:   mozilla-make-package.pl
Source6:   mozilla-copy-package-files.sh
Source7:   mozilla-rebuild-databases.sh.bz2
# remove debug menu entries
Patch0:	   mozilla-navigator-overlay-menu.patch.bz2
Patch1:    mozilla-editor-overlay-menu.patch.bz2
Patch6:    mozilla-prefs-debug.patch.bz2
Patch7:    mozilla-redhat-home-page.patch.bz2
Patch8:    mozilla-redhat-mail-home-page.patch.bz2
Patch9:    mozilla-alpha-compiler.patch.bz2
Patch11:   mozilla-taskbar-nomozilla.patch.bz2
# (fc) 0.9-1mdk gtk mozembed focus crash (bug 79022 at bugzilla.mozilla.org)
Patch12:   mozilla-0.9-notebook-crash.patch.bz2
# (fc) 0.7-0.2001010614.1mdk dlopen correct libraries for old plugins
Patch20:   mozilla-dlopen-plugin.patch.bz2
# (fc) 0.9-3mdk use system libnspr4 for nss
Patch21:   mozilla-0.9-libnspr4nss.patch.bz2
Serial: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libpng-devel, libjpeg-devel, zlib-devel, zip, ORBit-devel, perl, autoconf
BuildRequires: libnspr4-devel
# pulled by libraries dependency
#Requires: libpng, libjpeg, zlib, ORBit
PreReq: libnspr4

Prefix:    %{_prefix}
ExcludeArch: ia64

Group:     Networking/WWW
Url: http://www.mozilla.org
Obsoletes: mozilla-xpcom mozilla-browser mozilla-psm
Provides: mozilla-psm = %{version}

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability. 

%package devel
Requires: %{name} = %{version}
Summary: Mozilla development files
Group: Development/Other
%description devel
Mozilla development files

%package mail
Summary: Mozilla-based mail system
Group: Networking/Mail
PreReq: %{name} = %{version}

%description mail
Mail/news client based on the Mozilla web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package irc
Summary: IRC support for Mozilla.
Group: Networking/IRC
PreReq: %{name} = %{version}
Provides: %{name}-chatzilla %{name}-chat
Obsoletes: %{name}-chatzilla %{name}-chat

%description irc
irc support for Mozilla.

%package xmlterm
Summary:        XML enabled Terminal Client for Mozilla
Group:          Networking/Other
Prereq: %{name} = %{version}

%description xmlterm
This is a terminal client written for mozilla that has special capabilities.
   When combined with the xls, and xcat programs, you can get directory listings with
   thumbnails for images, and you can cat known file types and view them inline.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n mozilla
%patch0 -p 1 -b .debug_nav
%patch1 -p 1 -b .debug_ed
%patch6 -p1 -b .nodebug
%patch7 -p1 -b .redhat-home-page
%patch8 -p1 -b .redhat
%patch9 -p1 -b .alpha-compiler

%patch11 -p1 -b .nomozilla
%patch12 -p1 -b .notebook

%patch20 -p1 -b .dlopen
%patch21 -p1 -b .libnspr


%build

if [ -z "$NPROCS" ]; then NPROCS=`egrep -c ^cpu[0-9]+ /proc/stat || :`; fi 
if [ -z "$NPROCS" -o "$NPROCS" -le "0" ]; then 
  NPROCS=1 
fi

# build mozilla
BUILD_OFFICIAL=1  ./configure --prefix=%{_prefix} \
	--enable-optimize --disable-debug \
	--enable-strip-libs --disable-tests --enable-mathml \
	--enable-svg \
	--with-default-mozilla-five-home=%{_libdir}/mozilla \
	--with-extensions --disable-short-wchar

BUILD_OFFICIAL=1 make -j$NPROCS -s export
BUILD_OFFICIAL=1 make -j$NPROCS -s install
#BUILD_OFFICIAL=1 make -s

# we can't use -j builds here because nss/psm uses the old mozilla
# build system.
BUILD_OFFICIAL=1 make -s BUILD_MODULES=psm2


%install

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/mozilla/idl

# create a list of all of the different package and the files that
# will hold them
rm -f /tmp/mozilla.list
rm -f /tmp/mozilla.list.shared
rm -f /tmp/mozilla.package
%{SOURCE5} --package langenus --output-file /tmp/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
%{SOURCE5} --package langenus --output-file /tmp/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist -shared

%{SOURCE5} --package regus --output-file /tmp/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
%{SOURCE5} --package regus --output-file /tmp/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared

%{SOURCE5} --package deflenus --output-file /tmp/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
%{SOURCE5} --package deflenus --output-file /tmp/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared

%{SOURCE5} --package xpcom --output-file /tmp/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
%{SOURCE5} --package xpcom --output-file /tmp/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared

%{SOURCE5} --package browser --output-file /tmp/mozilla.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
%{SOURCE5} --package browser --output-file /tmp/mozilla.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared


rm -f /tmp/mozilla-mail.list
rm -f /tmp/mozilla-mail.list.shared
rm -f /tmp/mozilla-mail.package
%{SOURCE5} --package mail --output-file /tmp/mozilla-mail.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
%{SOURCE5} --package mail --output-file /tmp/mozilla-mail.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared


rm -f /tmp/mozilla-psm.list
rm -f /tmp/mozilla-psm.list.shared
%{SOURCE5} --package psm --output-file /tmp/mozilla-psm.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
%{SOURCE5} --package psm --output-file /tmp/mozilla-psm.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared


rm -f /tmp/mozilla-chat.list
rm -f /tmp/mozilla-chat.list.shared
rm -f /tmp/mozilla-chat.package
%{SOURCE5} --package chatzilla --output-file /tmp/mozilla-chat.list \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist
%{SOURCE5} --package chatzilla --output-file /tmp/mozilla-chat.list.shared \
    --package-file $RPM_BUILD_DIR/mozilla/xpinstall/packager/packages-unix \
    --source $RPM_BUILD_DIR/mozilla/dist --shared



# copy all of the files
%{SOURCE6} /tmp/mozilla.list /tmp/mozilla.package \
    $RPM_BUILD_ROOT/%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla

%{SOURCE6} /tmp/mozilla.list.shared /tmp/mozilla.package \
    $RPM_BUILD_ROOT/%{_libdir} \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}


# build our initial component and chrome registry
# we don't need to do this anymore

pushd `pwd`
  cd $RPM_BUILD_ROOT%{_libdir}/mozilla
  rm -rf  $RPM_BUILD_ROOT%{_libdir}/mozilla/components/xpti* $RPM_BUILD_ROOT%{_libdir}/mozilla/component.reg
  # register our components
  LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}/mozilla:$RPM_BUILD_ROOT%{_libdir} MOZILLA_FIVE_HOME=$RPM_BUILD_ROOT%{_libdir}/mozilla ./regxpcom
  # set up the default skin and locale to trigger the generation of
  # the user-locales and users-skins.rdf
  echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt
  echo "locale,install,select,en-US" >> chrome/installed-chrome.txt
  # set up the chrome rdf files
  LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}/mozilla:$RPM_BUILD_ROOT%{_libdir} MOZILLA_FIVE_HOME=$RPM_BUILD_ROOT%{_libdir}/mozilla ./regchrome
  # fix permissions of the chrome directories
  find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd


%{SOURCE6} /tmp/mozilla-mail.list /tmp/mozilla-mail.package \
    $RPM_BUILD_ROOT/%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla
%{SOURCE6} /tmp/mozilla-mail.list.shared /tmp/mozilla-mail.package \
    $RPM_BUILD_ROOT/%{_libdir} \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}

%{SOURCE6} /tmp/mozilla-psm.list /tmp/mozilla.package \
    $RPM_BUILD_ROOT/%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla
# don't provide library, it is in libnss3 package
#%{SOURCE6} /tmp/mozilla-psm.list.shared /tmp/mozilla.package \
#    $RPM_BUILD_ROOT/%{_libdir} \
#    $RPM_BUILD_DIR/mozilla/dist/bin \
#    %{_libdir}


%{SOURCE6} /tmp/mozilla-chat.list /tmp/mozilla-chat.package \
    $RPM_BUILD_ROOT/%{_libdir}/mozilla \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}/mozilla
%{SOURCE6} /tmp/mozilla-chat.list.shared /tmp/mozilla-chat.package \
    $RPM_BUILD_ROOT/%{_libdir} \
    $RPM_BUILD_DIR/mozilla/dist/bin \
    %{_libdir}

# copy xmlterm files
cp dist/bin/{xmlterm,xcat,xls}  $RPM_BUILD_ROOT/%{_bindir}/
cp dist/bin/chrome/xmlterm.jar  $RPM_BUILD_ROOT/%{_libdir}/mozilla/chrome
cp dist/bin/components/*xmlterm*  $RPM_BUILD_ROOT/%{_libdir}/mozilla/components

# copy include and idl files
cp -r dist/include/* $RPM_BUILD_ROOT/%{_includedir}/mozilla

cp -r dist/idl/* $RPM_BUILD_ROOT/%{_includedir}/mozilla/idl

# copy our devel tools
/bin/cp -r dist/bin/xpcshell $RPM_BUILD_ROOT/%{_libdir}/mozilla

/bin/cp -r dist/bin/xpidl $RPM_BUILD_ROOT/%{_libdir}/mozilla

/bin/cp -r dist/bin/xpt_dump $RPM_BUILD_ROOT/%{_libdir}/mozilla

/bin/cp -r dist/bin/xpt_link $RPM_BUILD_ROOT/%{_libdir}/mozilla

bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/mozilla


bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

# Make sure that we overwrite the mozilla installed with ours.
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/mozilla
bzcat %{SOURCE7} > $RPM_BUILD_ROOT%{_libdir}/mozilla/rebuild-databases.sh

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Networking/WWW"\
  title="Mozilla"\
  longtitle="The free and open source web browser"\
  command="NO_XALF %{_bindir}/mozilla"
?package(%{name}):\
  icon="mozilla.xpm"\
  needs="x11"\
  section="Networking/WWW"\
  title="Mozilla"\
  longtitle="The free and open source web browser"\
  command="%{_bindir}/mozilla"
EOF

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}-mail
?package(%{name}-mail):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Networking/Mail"\
  title="Mozilla Messenger"\
  longtitle="The free and open source web browser"\
  command="NO_XALF %{_bindir}/mozilla -mail"
?package(%{name}-mail):\
  icon="mozilla.xpm"\
  needs="x11"\
  section="Networking/Mail"\
  title="Mozilla Messenger"\
  longtitle="The free and open source web browser"\
  command="%{_bindir}/mozilla -mail"
EOF

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
# WARNING : GNOME duplicate entry is needed to be able to launch
# Mozilla when xalf is installed. This entry must be added in
# menu file BEFORE "x11" menu entry
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}-xmlterm
?package(%{name}-xmlterm):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Terminals"\
  title="Mozilla XTerm"\
  longtitle="XTerm implemented with Mozilla toolkit"\
  command="NO_XALF %{_bindir}/mozilla -terminal"
?package(%{name}-xmlterm):\
  icon="mozilla.xpm"\
  needs="gnome"\
  section="Terminals"\
  title="Mozilla XTerm"\
  longtitle="XTerm implemented with Mozilla toolkit"\
  command="NO_XALF %{_bindir}/mozilla -terminal"
EOF


%clean
rm -rf $RPM_BUILD_ROOT
rm -f /tmp/mozilla-*.package
rm -f /tmp/mozilla-*.list
rm -f /tmp/mozilla-*.list.shared

%triggerin -- jre >= 1.3.0_01
if [ -f /usr/java/jre*/plugin/i386/ns600/libjavaplugin_oji.so -a ! -f %{_libdir}/mozilla/plugins/libjavaplugin_oji.so ]; then 
 ln -s /usr/java/jre*/plugin/i386/ns600/libjavaplugin_oji.so %{_libdir}/mozilla/plugins/libjavaplugin_oji.so 
fi

%triggerin -- jdk >= 1.3.0_01
if [ -f /usr/java/jdk*/jre/plugin/i386/ns600/libjavaplugin_oji.so -a ! -f %{_libdir}/mozilla/plugins/libjavaplugin_oji.so ]; then 
 ln -s /usr/java/jdk*/jre/plugin/i386/ns600/libjavaplugin_oji.so %{_libdir}/mozilla/plugins/libjavaplugin_oji.so 
fi

%triggerun -- jre >= 1.3.0_01
if [  /usr/java/jre*/plugin/i386/ns600/libjavaplugin_oji.so -ef \
 %{_libdir}/mozilla/plugins/libjavaplugin_oji.so ]; then 
 rm -f %{_libdir}/mozilla/plugins/libjavaplugin_oji.so 
fi


%triggerun -- jdk >= 1.3.0_01
if [  /usr/java/jdk*/jre/plugin/i386/ns600/libjavaplugin_oji.so -ef \
 %{_libdir}/mozilla/plugins/libjavaplugin_oji.so ]; then 
 rm -f %{_libdir}/mozilla/plugins/libjavaplugin_oji.so 
fi

%triggerin -- RealPlayer 
if [  %{_libdir}/RealPlayer*/rpnp.so -a ! -f %{_libdir}/mozilla/plugins/rpnp.so ]; then
 ln -s %{_libdir}/RealPlayer*/rpnp.so %{_libdir}/mozilla/plugins/rpnp.so
 ln -s %{_libdir}/RealPlayer*/raclass.zip %{_libdir}/mozilla/plugins/raclass.zip
fi


%triggerun -- RealPlayer 
if [  %{_libdir}/RealPlayer*/rpnp.so -ef %{_libdir}/mozilla/plugins/rpnp.so ]; then
 rm -f %{_libdir}/mozilla/plugins/rpnp.so
 rm -f %{_libdir}/mozilla/plugins/raclass.zip
fi


%post
# menu
%{update_menus}
if [ -f /usr/lib/netscape/plugins/libflashplayer.so -a ! -f %{_libdir}/mozilla/plugins/libflashplayer.so ]; then 
 ln -s /usr/lib/netscape/plugins/libflashplayer.so %{_libdir}/mozilla/plugins/libflashplayer.so 
fi
ulimit -c 0
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi


%preun
if [ "$1" = "0" ]; then 
	if [ -L %{_libdir}/mozilla/plugins/libflashplayer.so ]; then 
		 rm -f %{_libdir}/mozilla/plugins/libflashplayer.so 
	fi
fi

%postun
## menu
%{clean_menus}

%post mail
%{update_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%postun mail
%{clean_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi


%post irc
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%postun irc
%{update_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%post xmlterm
%{clean_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi


%postun xmlterm
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -f /usr/lib/mozilla/rebuild-databases.sh ]; then
    /usr/lib/mozilla/rebuild-databases.sh
fi

%files -f /tmp/mozilla.package
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/mozilla
%attr(755,root,root) %{_libdir}/mozilla/rebuild-databases.sh
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
#%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%dir %{_libdir}/mozilla/defaults/pref
%dir %{_libdir}/mozilla/defaults/profile/US
%dir %{_libdir}/mozilla/defaults/profile
%dir %{_libdir}/mozilla/defaults/wallet
%dir %{_libdir}/mozilla/defaults
%dir %{_libdir}/mozilla/chrome
%dir %{_libdir}/mozilla/components
%dir %{_libdir}/mozilla/res/builtin
%dir %{_libdir}/mozilla/res/html
%dir %{_libdir}/mozilla/res/samples
%dir %{_libdir}/mozilla/res/entityTables
%dir %{_libdir}/mozilla/res/rdf
%dir %{_libdir}/mozilla/res
%dir %{_libdir}/mozilla/icons
%dir %{_libdir}/mozilla/searchplugins
%dir %{_libdir}/mozilla/plugins
%dir %{_libdir}/mozilla
%{_libdir}/mozilla/component.reg
%{_libdir}/mozilla/components/xptitemp.dat
%{_libdir}/mozilla/components/xpti.dat
%{_libdir}/mozilla/chrome/*.rdf
%{_libdir}/mozilla/chrome/overlayinfo

%files mail -f /tmp/mozilla-mail.package
%defattr(-,root,root)
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
#%{_menudir}/%{name}-mail
%dir %{_libdir}/mozilla

%files irc -f /tmp/mozilla-chat.package
%defattr(-,root,root)


%files devel
%defattr (-,root,root)
%{_includedir}/mozilla
%{_libdir}/mozilla/xpcshell
%{_libdir}/mozilla/xpidl
%{_libdir}/mozilla/xpt_dump
%{_libdir}/mozilla/xpt_link

%files xmlterm
%defattr(-, root, root)
%{_bindir}/xmlterm
%{_bindir}/xcat
%{_bindir}/xls
%{_libdir}/mozilla/chrome/xmlterm.jar
%{_libdir}/mozilla/components/*xmlterm*
# XXX hany: not used on RedHat systems; what dir (if any) is RedHat using?
#%{_menudir}/%{name}-xmlterm

%changelog
* Fri May 25 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.9-4mdk package (see below)

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-4mdk
- Add PreReq on libnspr4 (otherwhise mozilla registry are not created 
  at install time)

* Thu May 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-3mdk
- Merge psm back in main package 
- Add xmlterm package
- Use libnspr3 and libnss3 for building mozilla

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-2mdk
- Remove patch10 (we only have /usr/share/doc/HTML)

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9
- Sync with Mozilla official specfile (0.9-0)
  - Add rebuild-database script
  - Regenerate patches 0, 1, 6
  - Remove patches 12, 13, 21 (merged upstream)
  - Update make package script to put shared libraries in %_libdir

* Mon Apr 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-5mdk
- Add trigger for RealPlayer plugin

* Fri Apr 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-4mdk
- Add triggers to detect when Sun Java RPM are installed to install Java plugin
- Resync with Blizzard specfile (0.8.1-3) :
	patch12 : links nspr and other base libraries with libc explicitly
	patch13 : disable rpath => no longer requires to uninstall mozilla rpm to rebuild it

* Fri Apr 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-3mdk
- resync with Blizzard specfile (0.8.1-0 and 2001041017)
- resync with Mdk 0.8-7mdk specfile
- patch for bug 73947 to prevent bug in Nautilus

* Fri Mar 30 2001 Peter Hanecak <hanecak@megaloman.sk>
- merged changes from mozilla-0.8.1-2mdk package (see below)

* Wed Mar 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-2mdk
- Use official source tarball

* Tue Mar 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- Release 0.8.1
- resync with Blizzard specfile (pre-0.8.1-6)
- use CVS snapshot since source tarball is not yet available)
- Update mozilla.sh
- Regenerate patch0, patch7, patch8, patch10
- Remove patch 1 (merged upstream)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Switch to standard theme by default
- Remove focus patch 
- Add specific menu entry for GNOME (workaround for interaction with xalf)
- resync with Blizzard specfile (0.8-2)

* Fri Feb 23 2001 Peter Hanecak <hanecak@megaloman.sk>
- adapted to Doors Linux

* Fri Feb 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Relese 0.8
- resync with Blizzard specfile (0.8-1)

* Wed Feb  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Resync with Blizzard specfile (0.7-11)
- Correct postun script => upgrading mozilla should be smooth with future version
  

* Wed Jan 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Resync with Blizzard specfile (0.7-3)
- Add missing library for galeon

* Wed Jan 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Mon Jan  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-0.2001010614.1mdk
- Prerelease based on CVS (contains crypto support)
- Merge new patches from Christopher Blizzard (2001010614-0)
- Try to use Java and Flash plugin (need JDK 1.3.0_1 and netscape 4.76 installed)

* Wed Nov  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.4mdk
- Rebuild with new libstdc++
- merge new patches from Christopher Blizzard specfile (M18-4) :
		- Add patch for bug 54860 (Linux-psm warning dialog hangs browser)
		- Add patches for bugs 56793 and 56753.

* Mon Oct 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.3mdk
- Merge patches from Alexander Skwar :
	-Add missing menu file and icons
	-Add missing dependency

* Fri Oct 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.2mdk
- Merge Christopher Blizzard (RedHat) specfile

* Fri Oct 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.1mdk
- Release M18
- Remove old patches

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M17.4mdk
- Merge specfile and fixes from Christopher Blizzard 
- change again page numbering (should be stable now)..

* Fri Aug 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-3mdk
- Provide non-corrupted icons

* Fri Aug 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-2mdk
- Add correct icons

* Fri Aug 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-1mdk
- Release M17

* Fri May 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-3mdk
- fix menu file

* Fri Mar 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-2mdk
- add menu entry for sub package mozilla browser

* Fri Feb 25 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.0_M13-1mdk
- fixed version-naming --> mozilla-browser needs mozilla-install, not
  mozilla-M13-install.

* Sun Feb 13 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- M13

* Wed Jan 05 2000 Lenny Cartier <lenny@mandrakesoft.com>
- used srpm from mozilla.org
- bz2 archive
- remove the paths in the post sections
- modified the install section
